patches/gtk2-java-01-runExample.diff
author dcarbery
Fri, 24 Nov 2006 16:37:59 +0000
branch217update
changeset 19096 d542fc2c823e
parent 8439 2e6b4060e814
permissions -rw-r--r--
Merged trunk changes r9797:9829 into 217update branch.
Ignore whitespace changes - Everywhere: Within whitespace: At end of lines:
8439
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     1
diff -uNr libgtk-java-2.10.0.orig/doc/examples/runExample.sh.in libgtk-java-2.10.0/doc/examples/runExample.sh.in
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     2
--- libgtk-java-2.10.0.orig/doc/examples/runExample.sh.in	2006-10-26 14:51:48.225024000 +0100
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     3
+++ libgtk-java-2.10.0/doc/examples/runExample.sh.in	2006-10-26 15:56:56.955198000 +0100
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     4
@@ -3,14 +3,6 @@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     5
 # A small script to help run example apps
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     6
 #
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     7
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     8
-prefix=@prefix@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
     9
-exec_prefix=@exec_prefix@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    10
-libdir=@libdir@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    11
-classpath=@INSTALLED_CLASSPATH@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    12
-
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    13
-GTK_LIB=$libdir
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    14
-GTK_JAR=$classpath
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    15
-
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    16
 # You should not need to modify anything below here
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    17
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    18
 error_message ()
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    19
@@ -27,8 +19,45 @@
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    20
 	exit 1;
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    21
 }
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    22
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    23
-NEED_LIB="$GTK_LIB"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    24
-NEED_JAR="$GTK_JAR  @CAIROJAR@ @JGJAR@"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    25
+JGLIB_JAR=`pkg-config --variable classpath glib-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    26
+if ! test -n "$JGLIB_JAR"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    27
+	echo "Package glib-java was not found in the pkg-config search path."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    28
+	echo "Perhaps you should add the directory containing 'glib-java.pc'"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    29
+	echo "to the PKG_CONFIG_PATH environment variable"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    30
+	echo "No package 'glib-java' found"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    31
+	exit 1
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    32
+fi
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    33
+
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    34
+JCAIRO_JAR=`pkg-config --variable classpath cairo-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    35
+if ! test -n "$JCAIRO_JAR"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    36
+	echo "Package cairo-java was not found in the pkg-config search path."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    37
+	echo "Perhaps you should add the directory containing 'cairo-java.pc'"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    38
+	echo "to the PKG_CONFIG_PATH environment variable"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    39
+	echo "No package 'cairo-java' found"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    40
+	exit 1
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    41
+fi
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    42
+
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    43
+JGTK_JAR=`pkg-config --variable classpath gtk2-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    44
+if ! test -n "$JGTK_JAR"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    45
+	echo "Package gtk2-java was not found in the pkg-config search path."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    46
+	echo "Perhaps you should add the directory containing 'gtk2-java.pc'"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    47
+	echo "to the PKG_CONFIG_PATH environment variable"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    48
+	echo "No package 'gtk2-java' found"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    49
+	exit 1
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    50
+fi
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    51
+
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    52
+JGTK_LIBDIR=`pkg-config --variable libdir gtk2-java`
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    53
+if ! test -n "$JGTK_LIBDIR"; then
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    54
+	echo "Library requirements for gtk2-java not met;"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    55
+	echo "consider adjusting the PKG_CONFIG_PATH environment" 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    56
+	echo "variable if your libraries are in a nonstandard prefix" 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    57
+	echo "so pkg-config can find them."
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    58
+	exit 1
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    59
+fi
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    60
+
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    61
+
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    62
+NEED_LIB="$JGTK_LIBDIR"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    63
+NEED_JAR="$JGTK_JAR $JCAIRO_JAR $JGLIB_JAR"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    64
 
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    65
 echo "Java-Gnome Example Application Launcher"
2e6b4060e814 Given the changes to support the uninstalled pc file, various entries are being
jmr
parents:
diff changeset
    66
 echo